package dev.crucifixbeta.mod.modules.impl.player;

import dev.crucifixbeta.mod.modules.Module;
import dev.crucifixbeta.mod.modules.settings.impl.BooleanSetting;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public class AntiEffects extends Module {
   public static AntiEffects INSTANCE;
   public final BooleanSetting levitation = this.add(new BooleanSetting("Levitation", true));
   public final BooleanSetting slowFalling = this.add(new BooleanSetting("SlowFalling", true));

   public AntiEffects() {
      super("AntiEffects", Module.Category.Player);
      this.setChinese("\u53cd\u6548\u679c");
      INSTANCE = this;
   }
}
